Register a new Top Up Transaction

Creates a new transaction of type Top Up which will be linked to a Customer using userDetail in the path, userDetail can be the Barcode, Mobile Number, Email or ID Card of the Customer. The other parameters are companyId which can be populated with any string as its value is not used, locationId is the Id of the Outlet in which the transaction is done, wsId is the Id of the POS making the request. The saleTransactionRequest object in the body has 3 required parameters. These are Value which is the value of the top up, this takes double as an input. IsMonetary is a boolean which indicates whether the top up is in points or money, with true meaning that the top up was made with money. TopUpDate is the date of the top up, this is a DateTime object. The there are 2 non-required parameters, these are ChitNumber which is a unique identifier for the transaction, this does not need to adhere to any format, it is passed as a string. Currency is the currency of the top up, it is passed as a string in ISO 4217 format (e.g. EUR for Euros).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
string
required
string
required
string
required
Body Params
double
required
boolean
required
date-time
required
string | null
string | null
Headers
uuid
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json